#include <bits/stdc++.h>
#define MAXN 100
using namespace std;

int main()
{
    int n, l, h[MAXN], x = 0;
    cin >> n >> l;
    for(int i = 0; i < n; i++){
        cin >> h[i];
    }
    for(int i = 0; i < n; i++){
        x++;
        if(h[i] <= l){
            break;
        }
    }
    if(x == n){
        cout << -1 << endl;
    }
    else{
        cout << x << endl;
    }
    return 0;
}